TODO:
====
- support old ifupdown state file /run/network/ifstate. Because some app's seem to use it
- support for debian ifupdown methods: tunnel, v4tunnel, 6to4, ppp, wvdial, ipv4ll
- support for debian ifupdown ipv6 auto method
- support for debian ifupdown CAN address family
- Compat : support for LOGICAL interfaces
- dry-run improvement: It skips the cache completely. Which means It tells you the commands it would execute if the system is clean. Its not smart enought to say what it will really execute given the state of the system

- Ifquery does not report link status, mainly because it reports only in terms of /etc/network/interfaces attributes. Plan to fix that
- more Documentation
- Priorities for addon modules
- have ability to also run uninstall on interfaces that dont have any config
- ifup hotplug support (basically needs some testing and fixing broken things)
- -q quiet option
- support for /etc/networking.defaults
- implement legacy ifupdown mapping feature
- support for the following ifupdown options:
    -o OPTION=VALUE     set OPTION to VALUE as though it were in
                        /etc/network/interfaces
    --no-mappings       don't run any mappings
    --no-scripts        don't run any hook scripts
- parallel implementation
- Test all original ifupdown options for compatibility
- Test with ifupdown-extra, ifmetric, ifupdown-scripts-zg2
- export other environment variables to bash scripts (for backward compatibility):
	IFACE  physical name of the interface being processed
        LOGICAL logical name of the interface being processed
        ADDRFAM address family of the interface
        METHOD method of the interface (e.g., static)
        MODE   start if run from ifup, stop if run from ifdown
        PHASE  as per MODE, but with finer granularity, distinguishing the pre-
               up, post-up, pre-down and post-down phases.
        VERBOSITY indicates  whether --verbose was used; set to 1 if so, 0 if not.
        PATH   the  command   search   path:   /usr/local/sbin:/usr/local/bin:‐
               /usr/sbin:/usr/bin:/sbin:/bin
